Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.process.workitem.wsht
Class GenericHTWorkItemHandler

    java.lang.Object
      org.jbpm.process.workitem.wsht.AbstractHTWorkItemHandler
          org.jbpm.process.workitem.wsht.GenericHTWorkItemHandler

All Implemented Interfaces:
  WorkItemHandler

Direct Known Subclasses:
  HornetQHTWorkItemHandler, LocalHTWorkItemHandler, MinaHTWorkItemHandler

    public class GenericHTWorkItemHandler

extends AbstractHTWorkItemHandler

Field Summary

Fields inherited from class org.jbpm.process.workitem.wsht.AbstractHTWorkItemHandler
`action, eventHandlers, session`

Constructor Summary
`GenericHTWorkItemHandler(KnowledgeRuntime session)`
`GenericHTWorkItemHandler(KnowledgeRuntime session, boolean owningSessionOnly)`
`GenericHTWorkItemHandler(KnowledgeRuntime session, OnErrorAction action)`
`GenericHTWorkItemHandler(TaskService client, KnowledgeRuntime session)`
`GenericHTWorkItemHandler(TaskService client, KnowledgeRuntime session, boolean owningSessionOnly)`
`GenericHTWorkItemHandler(TaskService client, KnowledgeRuntime session, OnErrorAction action)`
`GenericHTWorkItemHandler(TaskService client, KnowledgeRuntime session, OnErrorAction action, ClassLoader classLoader)`

Method Summary
`void` | `abortWorkItem(WorkItem workItem, WorkItemManager manager)` The given work item should be aborted.
`void` | `connect()`
`void` | `dispose()`
`void` | `executeWorkItem(WorkItem workItem, WorkItemManager manager)` The given work item should be executed.
`ClassLoader` | `getClassLoader()`
`TaskService` | `getClient()`
`String` | `getIpAddress()`
`int` | `getPort()`
`boolean` | `isConnected()`
`boolean` | `isLocal()`
`boolean` | `isOwningSessionOnly()`
`protected void` | `registerTaskEvents()`
`void` | `setClassLoader(ClassLoader classLoader)`
`void` | `setClient(TaskService client)`
`void` | `setIpAddress(String ipAddress)`
`void` | `setLocal(boolean local)`
`void` | `setOwningSessionOnly(boolean owningSessionOnly)`
`void` | `setPort(int port)`

Methods inherited from class org.jbpm.process.workitem.wsht.AbstractHTWorkItemHandler
`createTaskBasedOnWorkItemParams, createTaskContentBasedOnWorkItemParams, setAction`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GenericHTWorkItemHandler

    public GenericHTWorkItemHandler(KnowledgeRuntime session,
                                    OnErrorAction action)

### GenericHTWorkItemHandler

    public GenericHTWorkItemHandler(TaskService client,
                                    KnowledgeRuntime session,
                                    OnErrorAction action)

### GenericHTWorkItemHandler

    public GenericHTWorkItemHandler(TaskService client,
                                    KnowledgeRuntime session,
                                    OnErrorAction action,
                                    ClassLoader classLoader)

### GenericHTWorkItemHandler

    public GenericHTWorkItemHandler(TaskService client,
                                    KnowledgeRuntime session)

### GenericHTWorkItemHandler

    public GenericHTWorkItemHandler(TaskService client,
                                    KnowledgeRuntime session,
                                    boolean owningSessionOnly)

### GenericHTWorkItemHandler

    public GenericHTWorkItemHandler(KnowledgeRuntime session)

### GenericHTWorkItemHandler

    public GenericHTWorkItemHandler(KnowledgeRuntime session,
                                    boolean owningSessionOnly)

Method Detail

### getClient

    public TaskService getClient()

### setClient

    public void setClient(TaskService client)

### setIpAddress

    public void setIpAddress(String ipAddress)

### setPort

    public void setPort(int port)

### setLocal

    public void setLocal(boolean local)

### isConnected

    public boolean isConnected()

### getIpAddress

    public String getIpAddress()

### isLocal

    public boolean isLocal()

### getPort

    public int getPort()

### getClassLoader

    public ClassLoader getClassLoader()

### setClassLoader

    public void setClassLoader(ClassLoader classLoader)

### registerTaskEvents

    protected void registerTaskEvents()

### connect

    public void connect()

### dispose

    public void dispose()
                 throws Exception

  Throws:
    `Exception`

### executeWorkItem

    public void executeWorkItem(WorkItem workItem,
                                WorkItemManager manager)

  Description copied from interface: `WorkItemHandler`
  The given work item should be executed.

  Specified by:
    `executeWorkItem` in interface `WorkItemHandler`
  Specified by:
    `executeWorkItem` in class `AbstractHTWorkItemHandler`
  Parameters:
    `workItem` - the work item that should be executed
    `manager` - the manager that requested the work item to be executed

### abortWorkItem

    public void abortWorkItem(WorkItem workItem,
                              WorkItemManager manager)

  Description copied from interface: `WorkItemHandler`
  The given work item should be aborted.

  Specified by:
    `abortWorkItem` in interface `WorkItemHandler`
  Specified by:
    `abortWorkItem` in class `AbstractHTWorkItemHandler`
  Parameters:
    `workItem` - the work item that should be aborted
    `manager` - the manager that requested the work item to be aborted

### isOwningSessionOnly

    public boolean isOwningSessionOnly()

### setOwningSessionOnly

    public void setOwningSessionOnly(boolean owningSessionOnly)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 JBoss by Red Hat. All Rights Reserved.